Skip to main content
GET
/
api
/
v1
/
vendors
/
{vendorId}
/
organizations
/
{organizationId}
/
sip
/
credentials
List SIP Credentials
curl --request GET \
  --url https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials
import requests

url = "https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "page": 0,
  "size": 20,
  "totalElements": 100,
  "totalPages": 5,
  "timestamp": "2025-04-17T14:23:30Z",
  "message": "<string>",
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "hostname": "sip.example.com",
      "port": 5060,
      "username": "agent001",
      "maxAgentTasks": 5
    }
  ],
  "traceId": "<string>"
}

Path Parameters

vendorId
string
required

ID of the Vendor (UUID)

organizationId
string
required

ID of the Organization (UUID)

Query Parameters

page
integer
default:0

Page number of the requested page (0-indexed)

size
integer
default:20

Number of items per page

sort
string
default:hostname,asc

Sorting criteria in the format: property,(asc|desc). Default sort is 'hostname,asc'. Multiple sort criteria are supported.

Response

Successfully retrieved SIP credentials

Paged API response wrapper

success
boolean
required

Indicates if the request was successful

Example:

true

page
integer<int32>
required

Current page number (0-indexed)

Example:

0

size
integer<int32>
required

Size of each page

Example:

20

totalElements
integer<int64>
required

Total number of elements

Example:

100

totalPages
integer<int32>
required

Total number of pages

Example:

5

timestamp
string<date-time>
required

Response timestamp in ISO-8601 format

Example:

"2025-04-17T14:23:30Z"

message
string

Human-readable message

data
object[]

List of data items

traceId
string

Correlation or trace ID